FROM ubuntu:22.04
RUN apt update && apt install -y software-properties-common
RUN add-apt-repository ppa:elmer-csc-ubuntu/elmer-csc-ppa && apt update && apt install -y elmerfem-csc
RUN apt update && DEBIAN_FRONTEND=noninteractive apt install -y python3-scipy python3-tqdm python3-click python3-tabulate python3-gmsh python3-matplotlib python3-subprocess-tee python3-pip python3-numpy python3-pandas
#RUN pip install --break-system-packages pyelmer
RUN pip install pyelmer gerbonara
COPY *.py *.yml /nice-coils/
WORKDIR /nice-coils
VOLUME /mesh
